public class Coords {

	private int row;

	private int column;

	public Coords(int r, int c) {
		row = r;
		column = c;
	}

	public int getRow() {
		return row;
	}

	public String toString() {
		return "<" + row + "," + column + ">";
	}
	
	public int getColumn() {
		return column;
	}

	public int hashCode() {
		return (row << 16) + column;
	}

	public boolean equals(Object that) {
		if (this == that) {
			return true;
		}
		if (that == null) {
			return false;
		}
		if (getClass() != that.getClass()) {
			return false;
		}
		Coords thatCoords = (Coords) that;
		return (row == thatCoords.row) && (column == thatCoords.column);
	}
}
